Organisation Roles

Get a role

GET/roles/{id}

Returns one role with its permission ids. An unknown id, another organisation's role and a service role return 404.

Path parameters

  • idintegerRequired#

    The role's id, a whole number from 1 to 2147483647. An unknown role, another organisation's role and a service role return 404.

Query parameters

  • fieldsstring#

    Comma-separated top-level fields to return. id is always returned.

Responses

200

The role.

Role
{
  "data": {
    "id": 1,
    "name": "string",
    "label": "string",
    "description": "string",
    "global": true,
    "permission_ids": [
      1
    ],
    "created_at": "2026-06-12T10:00:00+00:00",
    "updated_at": "2026-06-12T10:00:00+00:00"
  }
}
401

Authentication failed. error.code is one of invalid_token, expired, revoked.

Error
403

Authorization failed. error.code is one of org_disabled, ip_blocked, missing_scope, scope_disabled, user_disabled.

Error
404

Resource not found (error.code = not_found).

Error
429

Rate limit exceeded (error.code = rate_limited).

Error

Examples

curl https://your-org-domain/kong/core/api/v2/roles/{id}\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"